# Interface SequenceViewInterface

#### Hierarchy

- SequenceViewInterface

#### Implemented by

- AbstractView

- Defined in src/RcsbFvSequence/SequenceViews/SequenceViewInterface.ts:2

#####
Index

### Methods

additionalContent
modelChangeCallback
representationChangeCallback
structureHoverCallback
structureSelectionCallback
updateDimensions

## Methods

### additionalContent

- additionalContent(): null | Element

- #### Returns null | Element

  - Defined in src/RcsbFvSequence/SequenceViews/SequenceViewInterface.ts:8

### modelChangeCallback

- modelChangeCallback(): void

- #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/SequenceViewInterface.ts:6

### representationChangeCallback

- representationChangeCallback(): void

- #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/SequenceViewInterface.ts:5

### structureHoverCallback

- structureHoverCallback(): void

- #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/SequenceViewInterface.ts:4

### structureSelectionCallback

- structureSelectionCallback(): void

- #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/SequenceViewInterface.ts:3

### updateDimensions

- updateDimensions(): void

- #### Returns void

  - Defined in src/RcsbFvSequence/SequenceViews/SequenceViewInterface.ts:7

Generated using TypeDoc